> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/advanced.md).

# Advanced

- [Accessibility for the WebViewer JavaScript PDF Viewer](https://docs.apryse.com/web/advanced/accessibility.md): Enhance user experience with accessibility features with WebViewer. Enable keyboard navigation, screen readers, and more for all users, including those with impairments. Learn how to optimize accessib
- [Config files](https://docs.apryse.com/web/advanced/config-files.md): Enhance WebViewer functionality with config files. Learn how to leverage JavaScript files executed within iframes for easy access to core objects and advanced customizations. The Apryse Web SDK stream
- [Setup options when customizing WebViewer](https://docs.apryse.com/web/advanced/customizing-setup.md): Enhance WebViewer with customizations using two setup options: accessing the WebViewer instance within your app or utilizing a config file for standalone JavaScript execution inside WebViewer's iframe
- [Loading WebViewer from another domain](https://docs.apryse.com/web/advanced/remote-lib.md): Learn how to share WebViewer library files across different domains for convenience and security. Follow these steps to ensure seamless integration and customization. The Apryse Web SDK streamlines se
- [CORS for IE9](https://docs.apryse.com/web/advanced/cors-ie9.md): Enable CORS for IE9 with XDomain library to load cross-origin resources in WebViewer. Follow steps to set up xdomain.js and proxy.html for seamless document viewing. The Apryse Web SDK streamlines sec
- [Loading and rendering documents without using WebViewer UI](https://docs.apryse.com/web/advanced/lower-level-document-apis.md): Learn how to load and render documents without the WebViewer UI. Explore using the Document class for full control over document layout and non-viewing APIs. Render pages and extract text effortlessly
- [Cross origin workers](https://docs.apryse.com/web/advanced/cross-origin-workers.md): Learn how to efficiently manage cross origin workers in WebViewer by placing worker files on a CDN or external server. Utilize setWorkerPath and setLocalWorkerPath APIs for seamless integration using
- [Viewing documents offline with WebViewer](https://docs.apryse.com/web/advanced/offline-loading.md): View documents offline with WebViewer by caching resources using service workers and storing documents with localforage. Learn how to load and view files offline on web. The Apryse Web SDK streamlines
- [Reader mode](https://docs.apryse.com/web/advanced/reader-mode.md): Enhance your reading experience with Reader mode, a feature that makes documents more flexible and easier to read. Learn how to enable and use Reader mode in WebViewer for a seamless reading experienc


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/advanced.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
